#include <llodctor/llodctor_lib.hpp>

void llo::s1::dctor_lib_t::generate( lloiff_t &iff )
{
    // for each obj in the lib --> make a new iff child and run dctor generation upon it...
    std::for_each( coff_dctors.begin(), coff_dctors.end(), [ & ]( const auto &dctor_meta ) {
        const auto [ img_name, dctor ] = dctor_meta;
        auto iff_child = llo::lloiff_t::make( img_name, dctor->img );
        dctor->generate( *iff.children.emplace_back( iff_child ).get() );
    } );
}